Subject: Re: [PATCH] net: Support specifying the network namespace upon device creation.

From: Eric Dumazet <[email-masked]>
Date: Tue, 03 Nov 2009 10:56:02 +0100

Eric W. Biederman a écrit :
> Eric Dumazet <[email-masked]> writes:
>> Very nice, with only one long line you could wrap differently.
> 
> Say again?  Was that very nice with respect to the rest of the patch?
> Or sarcasm because I overlooked this wrap at 80 columns
> opportunity in ipgre?
> 
> Eric
>>   
>>> -static int ipgre_newlink(struct net_device *dev, struct nlattr *tb[],
>>> +static int ipgre_newlink(struct net *src_net, struct net_device *dev, struct nlattr *tb[],
>>>  			 struct nlattr *data[])
>>>  {
>>>  	struct ip_tunnel *nt;

Hmm, I am very sorry you take it as a sarcasm, I would not treat you or anyone like that.

I was basically Acking your patch, with only one minor note about one line becoming a bit long.

Acked-by: Eric Dumazet <[email-masked]>

It would be better to write :

static int ipgre_newlink(struct net *src_net, struct net_device *dev,
  			 struct nlattr *tb[], struct nlattr *data[])